#include <iostream> 
#include <string>

using namespace std; // пространство имён

int main(){
	string str; // вводимая строка
	char symbol; // искомая буква
	int space; // счётчик для проверки на пробелы в строке
	int count; // счётчик количества подсчитанных символов

	cout << "Input string: " << endl;
	getline(cin, str); // ввод строки

	// проверка на пустоту строки
	space = 0;
	if (str.empty()){ // если строка пуста, то
		cout << "String can't be empty" << endl; // вывод сообщения об ошибке
		return 0; // завершение программы
	}
	else { // иначе проверка на пробелы
		for (int i = 0; i < str.size(); i++){ // цикл на всю строку
			if (str[i] == ' '){ // если символ является пробелом, то
				space++; // увеличиваем счётчик
			}
		}
		if (space == str.size()) { // если количество пробелов равно размеру строки, то
			cout << "String have only spaces." << endl; // вывод сообщения об ошибке
			return 0; // завершение программы
		}
	}

	cout << "Input symbol: " << endl;
	symbol = getchar(); // ввод буквы

	// проверка на пустоту вводимого символа
	if ((symbol == '\n') || (symbol == ' ')){ // если символ является переходом на новую строку или пробелом, то
		cout << "symbol can't be empty" << endl; // вывод сообщения об ошибке
		return 0; // завершение программы
	}

	// подсчёт количества символов
	count = 0;
	for (int i = 0; i < str.size(); i++){ // цикл на полную строку
		if (str[i] == symbol){ // если буква в строке совпадает с заданной, то
			count++; // заменяем его на восклицательный знак ('!')
		}
	}

	cout << "Result: " << count << endl; // вывод новой строки

	return 0; // успешное завершение программы
}